# im/Version.cpp File Reference

`#include <osgSim/Version>`

Include dependency graph for im/Version.cpp:

## Functions

const char * | osgSimGetVersion ()
| osgSimGetVersion() returns the library version number.
const char * | osgSimGetLibraryName ()
| osgSimGetLibraryName() returns the library name in human friendly form.

## Function Documentation

const char* osgSimGetLibraryName | ( |  | ) |

| osgSimGetLibraryName() returns the library name in human friendly form.

const char* osgSimGetVersion | ( |  | ) |

osgSimGetVersion() returns the library version number.

Numbering convention : OpenSceneGraph-Sim-0.1 will return 0.1 from osgSimgetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph-Sim library
     #
     AC_CHECK_LIB(osg, osgSimGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph library not found. See http://www.openscenegraph.org)],)